ipe::Fonts Class Reference
Ipe Cairo interface

`#include <ipefonts.h>`

## Public Member Functions

| Fonts (const PdfResourceBase *resources)
Face * | getFace (const PdfDict *d)
const PdfResourceBase * | resources () const noexcept

## Static Public Member Functions

static cairo_font_face_t * | screenFont ()
static String | freetypeVersion ()

## Detailed Description

Provides the fonts used to render text.

## Constructor & Destructor Documentation

## Fonts()

Fonts::Fonts | ( | const PdfResourceBase * | resources | ) |

## Member Function Documentation

## getFace()

Face * Fonts::getFace | ( | const PdfDict * | d | ) |

Get a typeface.

Corresponds to a Freetype "face", or a PDF font resource. A Face can be loaded at various sizes (transformations), resulting in individual FaceSize's.

Referenced by ipe::CairoPainter::executeStream().

## screenFont()

cairo_font_face_t * Fonts::screenFont | ( |  | ) |

static

Return a Cairo font to render to the screen w/o Latex font.

Referenced by ipe::CairoPainter::doDrawText().

## freetypeVersion()

String Fonts::freetypeVersion | ( |  | ) |

static

## resources()

const PdfResourceBase* ipe::Fonts::resources | ( |  | ) | const

inline noexcept

Referenced by ipe::CairoPainter::executeStream().

The documentation for this class was generated from the following files:

- ipefonts.h
- ipefonts.cpp